> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Transaction Validators

> List ETH 0x02 validators associated with wallet-level stake transactions for a given portfolio. It will not return data for unstake transactions, portfolio stake transactions, transactions which staked different currencies, or which staked to Ethereum 0x01 validators.



## OpenAPI

````yaml post /v1/portfolios/{portfolio_id}/staking/transaction-validators/query
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/staking/transaction-validators/query:
    post:
      tags:
        - Staking
      summary: List Transaction Validators
      description: >-
        List ETH 0x02 validators associated with wallet-level stake transactions
        for a given portfolio. It will not return data for unstake transactions,
        portfolio stake transactions, transactions which staked different
        currencies, or which staked to Ethereum 0x01 validators.
      operationId: PrimeRESTAPI_ListTransactionValidators
      parameters:
        - name: portfolio_id
          in: path
          description: The portfolio ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              required:
                - transaction_ids
              type: object
              properties:
                transaction_ids:
                  type: array
                  description: >-
                    List of transaction IDs to filter validators by. Maximum of
                    100 transaction IDs allowed per request.
                  items:
                    type: string
                cursor:
                  type: string
                  description: Cursor for pagination
                limit:
                  type: integer
                  description: >-
                    Maximum number of transaction-validator associations to
                    return per page. Default is 100, maximum is 1000.
                  format: int32
                sort_direction:
                  $ref: '#/components/schemas/coinbase.public_rest_api.SortDirection'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.ListTransactionValidatorsResponse
components:
  schemas:
    coinbase.public_rest_api.SortDirection:
      type: string
      default: DESC
      enum:
        - DESC
        - ASC
    coinbase.public_rest_api.ListTransactionValidatorsResponse:
      required:
        - pagination
        - transaction_validators
      type: object
      properties:
        transaction_validators:
          type: array
          description: >-
            List of transaction-to-validator associations. Each entry represents
            one transaction staking to one validator.
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.TransactionValidator'
        pagination:
          $ref: '#/components/schemas/coinbase.public_rest_api.PaginatedResponse'
    coinbase.public_rest_api.TransactionValidator:
      required:
        - transaction_id
        - validator_address
        - validator_status
      type: object
      properties:
        transaction_id:
          type: string
          description: The ID of the transaction which staked to this validator
        validator_address:
          type: string
          description: The address (public key) of the validator
        validator_status:
          $ref: '#/components/schemas/coinbase.public_rest_api.ValidatorStatus'
    coinbase.public_rest_api.PaginatedResponse:
      required:
        - has_next
        - next_cursor
        - sort_direction
      type: object
      properties:
        next_cursor:
          type: string
          description: Cursor to navigate to next page
        sort_direction:
          $ref: '#/components/schemas/coinbase.public_rest_api.SortDirection'
        has_next:
          type: boolean
          description: >-
            A boolean value indicating whether there are more items to paginate
            through
    coinbase.public_rest_api.ValidatorStatus:
      type: string
      default: VALIDATOR_STATUS_UNSPECIFIED
      enum:
        - VALIDATOR_STATUS_UNSPECIFIED
        - VALIDATOR_STATUS_PENDING
        - VALIDATOR_STATUS_ACTIVE
        - VALIDATOR_STATUS_EXITING
        - VALIDATOR_STATUS_EXITED
        - VALIDATOR_STATUS_WITHDRAWN

````